الانتقال إلى المحتوى الرئيسي
POST
Charges a catalog item to a ticket or to a project task.

التفويضات

X-API-Key
string
header
مطلوب

Your Gorelo API key. See Generate API key. If your data is hosted in Australia, click the base URL at the top of this page and select https://api.aue.gorelo.io.

الجسم

The product to charge.

A catalog item to charge to a ticket or to a project task.

TicketId
string<uuid> | null

The ticket to charge the product to. Send this or TaskId, not both.

مثال:

"08dd8170-f413-959c-82ae-152d5f340000"

TaskId
string<uuid> | null

The project task to charge the product to. Send this or TicketId, not both.

مثال:

"08dd8170-f413-959c-82ae-152d5f340001"

ItemId
string<uuid>

The catalog item to add - an active product or bundle from GET /v1/items that is catalog-wide or scoped to the charge's client. Required.

مثال:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

Quantity
number<double> | null

Quantity to charge. Required; greater than 0 and at most 99,999,999, with up to 4 decimal places.

مثال:

2

UnitPrice
number<double> | null

Price of one unit, -99,999,999 to 99,999,999. Defaults to the item's price.

مثال:

189

UnitCost
number<double> | null

Cost of one unit to the service provider, 0 to 99,999,999. Defaults to the item's current cost.

مثال:

142.5

Description
string | null

Description shown for the product on the ticket or task and the invoice. Defaults to the item's description.

BillableStatusId
integer<int32> | null

1 Billable (default), 2 No charge, 3 Non-billable or 5 Void.

مثال:

1

الاستجابة

OK

StatusCode
enum<integer>
الخيارات المتاحة:
100,
101,
102,
103,
200,
201,
202,
203,
204,
205,
206,
207,
208,
226,
300,
301,
302,
303,
304,
305,
306,
307,
308,
400,
401,
402,
403,
404,
405,
406,
407,
408,
409,
410,
411,
412,
413,
414,
415,
416,
417,
421,
422,
423,
424,
426,
428,
429,
431,
451,
500,
501,
502,
503,
504,
505,
506,
507,
508,
510,
511
IsSuccess
boolean
Data
object
DataContext
object | null
مثال:

null

Notifications
object[]